> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agency Company Details

> Retrieve detailed company information including billing data. Note: Requires Agency API Key.



## OpenAPI

````yaml GET /agency/company/{company_id}
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /agency/company/{company_id}:
    get:
      summary: Get Agency Company Details
      description: >-
        Retrieve detailed company information including billing data. Note:
        Requires Agency API Key.
      parameters:
        - name: company_id
          in: path
          description: The ID of the company
          required: true
          schema:
            type: string
        - name: tab
          in: query
          description: Data type to retrieve
          required: false
          schema:
            type: string
            enum:
              - agents
              - modules
              - phone
              - transactions
            default: agents
        - name: date
          in: query
          description: 'ISO-8601 datetime for single month (default: current month)'
          required: false
          schema:
            type: string
            format: date-time
        - name: start_date
          in: query
          description: ISO-8601 datetime for date range start
          required: false
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: ISO-8601 datetime for date range end
          required: false
          schema:
            type: string
            format: date-time
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Company details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgencyCompanyDetail'
        '401':
          description: Unauthorized - Invalid or missing agency API key
        '403':
          description: Forbidden - Requires agency admin access
        '404':
          description: Company not found
      security:
        - AgencyApiKey: []
components:
  schemas:
    AgencyCompanyDetail:
      type: object
      properties:
        name:
          type: string
        logo:
          type: string
          description: Logo URL
        email:
          type: string
        active:
          type: boolean
        settings:
          type: object
          properties:
            stripe_check:
              type: boolean
            ghl_check:
              type: boolean
            auto_rebill:
              type: string
              enum:
                - 'off'
                - agency_wallet
                - ghl_wallet
                - direct_billing
            chat_rate:
              type: number
            call_rate:
              oneOf:
                - type: string
                - type: number
            max_concurrent_lanes:
              type: integer
            concurrent_lanes:
              type: integer
            retainer_fee:
              type: number
            agent_limit:
              type: integer
              nullable: true
        billing:
          type: object
          properties:
            list:
              type: array
              description: Content varies based on 'tab' parameter
            total:
              type: number
  securitySchemes:
    AgencyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Agency API Key

````